# videotestsrc.h File Reference

`#include <glibmm.h>`
`#include <gstreamermm/pushsrc.h>`

Go to the source code of this file.

## Classes

class | Gst::VideoTestSrc
| Gst::VideoTestSrc - videotestsrc plugin. More...

## Namespaces

namespace | Gst
namespace | Glib

## Enumerations

enum

Gst::VideoTestSrcPattern {
Gst::VIDEO_TEST_SRC_SMPTE,
Gst::VIDEO_TEST_SRC_SNOW,
Gst::VIDEO_TEST_SRC_BLACK,
Gst::VIDEO_TEST_SRC_WHITE,
Gst::VIDEO_TEST_SRC_RED,
Gst::VIDEO_TEST_SRC_GREEN,
Gst::VIDEO_TEST_SRC_BLUE,
Gst::VIDEO_TEST_SRC_CHECKERS1,
Gst::VIDEO_TEST_SRC_CHECKERS2,
Gst::VIDEO_TEST_SRC_CHECKERS4,
Gst::VIDEO_TEST_SRC_CHECKERS8,
Gst::VIDEO_TEST_SRC_CIRCULAR,
Gst::VIDEO_TEST_SRC_BLINK,
Gst::VIDEO_TEST_SRC_SMPTE75,
Gst::VIDEO_TEST_SRC_ZONE_PLATE
}

enum | Gst::VideoTestSrcColorSpec { Gst::VIDEO_TEST_SRC_BT601, Gst::VIDEO_TEST_SRC_BT709 }